Package org.eclipse.ecf.remoteservice.rest.client

## Class HttpPatchRequestType

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
  - - org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType
    - - org.eclipse.ecf.remoteservice.rest.client.HttpPostRequestType
      - - org.eclipse.ecf.remoteservice.rest.client.HttpPatchRequestType

All Implemented Interfaces:
  `IRemoteCallableRequestType`

    public class HttpPatchRequestType
    extends HttpPostRequestType

Since:
  2.6

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`BYTEARRAY_REQUEST_ENTITY, CHARSET_PARAM_NAME, CONTENT_LENGTH_AUTO, CONTENT_LENGTH_PARAM_NAME, CONTENT_TYPE_PARAM_NAME, defaultCharset, defaultContentLength, defaultContentType, FILE_REQUEST_ENTITY, INPUT_STREAM_REQUEST_ENTITY, NO_REQUEST_ENTITY, requestEntityType, STRING_REQUEST_ENTITY`

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

### Constructor Summary

Constructors
`HttpPatchRequestType()`
`HttpPatchRequestType​(int requestEntityType)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType, long defaultContentLength)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset, Map defaultRequestHeaders)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType, long defaultContentLength, Map defaultRequestHeaders)`
`HttpPatchRequestType​(int requestEntityType, String defaultContentType, Map defaultRequestHeaders)`
`HttpPatchRequestType​(int requestEntityType, Map defaultRequestHeaders)`
`HttpPatchRequestType​(Map defaultRequestHeaders)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`generateRequestEntity, getCharset, getContentLength, getContentType, useRequestEntity`

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpPatchRequestType

    public HttpPatchRequestType()

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                Map defaultRequestHeaders)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType,
                                long defaultContentLength,
                                Map defaultRequestHeaders)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType,
                                long defaultContentLength,
                                String defaultCharset,
                                Map defaultRequestHeaders)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType,
                                long defaultContentLength,
                                String defaultCharset)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType,
                                long defaultContentLength)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType,
                                Map defaultRequestHeaders)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType,
                                String defaultContentType)

#### HttpPatchRequestType

    public HttpPatchRequestType​(int requestEntityType)

#### HttpPatchRequestType

    public HttpPatchRequestType​(Map defaultRequestHeaders)